package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWFA90Data {

    private Map<String, Object> params;
    
    public MWFA90Data(Map<String, Object> params) {
        this.params = params;
    }

    public java.util.Date rsDatumtransakce() {
        return (java.util.Date) params.get("RS_DATUMTRANSAKCE");
    }

    public java.util.Date rsDatumzauctovani() {
        return (java.util.Date) params.get("RS_DATUMZAUCTOVANI");
    }

    public Double rsCastka() {
        return (Double) params.get("RS_CASTKA");
    }

    public String rsTyptransakce() {
        return (String) params.get("RS_TYPTRANSAKCE");
    }

    public String rsKreditniplan() {
        return (String) params.get("RS_KREDITNIPLAN");
    }

    public String rsPopis() {
        return (String) params.get("RS_POPIS");
    }

    public String rsAutorizacnikod() {
        return (String) params.get("RS_AUTORIZACNIKOD");
    }

    public String rsUcet() {
        return (String) params.get("RS_UCET");
    }

    public Long rsId() {
        return (Long) params.get("RS_ID");
    }

    public java.util.Date rsDatumpristihovypisu() {
        return (java.util.Date) params.get("RS_DATUMPRISTIHOVYPISU");
    }

    public java.util.Date rsDatumzauctovanivevls() {
        return (java.util.Date) params.get("RS_DATUMZAUCTOVANIVEVLS");
    }

    public Long rsPocetbodu() {
        return (Long) params.get("RS_POCETBODU");
    }

    public String rsProgram() {
        return (String) params.get("RS_PROGRAM");
    }

    public Double rsCastkadual() {
        return (Double) params.get("RS_CASTKADUAL");
    }

    public Double rsOdmeny() {
        return (Double) params.get("RS_ODMENY");
    }

    public String rsApiTyptxn() {
        return (String) params.get("RS_API_TYPTXN");
    }

    public String rsApiKodtxn() {
        return (String) params.get("RS_API_KODTXN");
    }

    public String rsCisloobchodnika() {
        return (String) params.get("RS_CISLOOBCHODNIKA");
    }

    public String rsCisloprodejnyobchodnika() {
        return (String) params.get("RS_CISLOPRODEJNYOBCHODNIKA");
    }

    public String rsDatumprichoduplatby() {
        return (String) params.get("RS_DATUMPRICHODUPLATBY");
    }

    public String rsCislouctudebet() {
        return (String) params.get("RS_CISLOUCTUDEBET");
    }

    public String rsSpecifickysymbol() {
        return (String) params.get("RS_SPECIFICKYSYMBOL");
    }

    public String rsCislokarty() {
        return (String) params.get("RS_CISLOKARTY");
    }

    public String rsBarva() {
        return (String) params.get("RS_BARVA");
    }

    public String rsCislokartymask() {
        return (String) params.get("RS_CISLOKARTYMASK");
    }

    public String rsKodbanky() {
        return (String) params.get("RS_KODBANKY");
    }

    public String rsVariabilnisymbol() {
        return (String) params.get("RS_VARIABILNISYMBOL");
    }

    public String rsCislouctu() {
        return (String) params.get("RS_CISLOUCTU");
    }

    public String rsZdrojtransakce() {
        return (String) params.get("RS_ZDROJTRANSAKCE");
    } 

}
